%global momorel 2
%define py_ver 2.6
%global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Summary: Python bindings for GObject
Name: pygobject
Version: 2.21.3
Release: %{momorel}m%{?dist}
URL: http://www.pygtk.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.21/%{name}-%{version}.tar.bz2
NoSource: 0
License: LGPL
Group: Development/Languages
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: gtk2 >= 2.16.1
Requires: python >= %{pyver}
BuildRequires: glib2-devel >= 2.20.1
BuildRequires: python-devel >= %{pyver}

%description
This archive contains bindings for the GObject, to be used in Python
It is a fairly complete set of bindings, it's already rather useful,
and is usable to write moderately complex programs.  (see the
examples directory for some examples of the simpler programs you could
write).
#'

%package devel
Summary: Development files for pygobject
Group: Development/Languages
Requires: %name = %{version}-%{release}
Requires: glib2-devel
 
%description devel
Development files for %{name}.
 
%prep
%setup -q

%build
export PYTHON=%{_bindir}/python%{py_ver}
%configure --enable-docs --enable-pygi \
    LIBS="-lpython2.6"
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(755, root, root, 755)
%doc AUTHORS  COPYING  ChangeLog  NEWS  README
%{_bindir}/pygobject-codegen-2.0
%{_libdir}/*.so.*
%exclude %{_libdir}/*.la
%{python_sitearch}/pygtk.p*
%{python_sitearch}/gtk-2.0/gobject
%{python_sitearch}/gtk-2.0/gio
%{python_sitearch}/gtk-2.0/glib
%{python_sitearch}/gtk-2.0/dsextras.p*
%{_datadir}/pygobject

%files devel
%defattr(755, root, root, 755)
%{_includedir}/pygtk-2.0/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%doc %{_datadir}/gtk-doc/html/pygobject

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.21.3-2m)
- full rebuild for mo7 release

* Wed Jun 23 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.21.3-1m)
- update to 2.21.3

* Sun May  9 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.21.1-3m)
- add LIBS="-lpython2.6"

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.21.1-2m)
- use BuildRequires

* Sun Feb 14 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.21.1-1m)
- update to 2.21.1

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.20.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Sep 25 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Mon May 25 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Sun Feb 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.1-1m)
- update to 2.16.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.16.0-2m)
- rebuild against rpm-4.6

* Sat Jan 17 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.16.0-1m)
- update to 2.16.0

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.15.4-3m)
- rebuild against python-2.6.1-1m

* Sat Oct  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.15.4-2m)
- fix %%files

* Fri Sep 26 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.15.4-1m)
- update to 2.15.4

* Sat May 24 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-1m)
- update to 2.14.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.14.1-2m)
- rebuild against gcc43

* Fri Jan  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-1m)
- update to 2.14.1

* Sun Sep 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-1m)
- update to 2.14.0

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.12.3-2m)
- rebuild against python-2.5

* Wed Nov 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.3-1m)
- update to 2.12.3

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.1-1m)
- update to 2.12.1

* Wed Aug 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.1-1m)
- update to 2.10.1

* Fri Jun  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.0-2m)
- delete duplicated dir

* Mon Apr 10 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.10.0-1m)
- version 2.10.0
